Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0000292 [SkyOS 5.0 - Beta] GUI - Controls general tweak always 2004-08-30 16:33 2004-10-07 16:31
Reporter Nemo View Status public  
Assigned To robert
Priority normal Resolution fixed  
Status resolved  
Summary 0000292: multiline textfield doesn't have scrollbar on resize
Description When calling GI_set_dimension() on a multiline textfield widget, the [vertical] scrollbar doesn't appear if the widget is sized smaller than the text that's in it, until another line of text is added to the control.
Additional Information SkyOS 5.0 beta 7.6. The widget should check to see if it needs to display a scrollbar when it is resized.
Tags No tags attached.
Environment
Reported for build
Fixed in build
VersionType
Attached Files

- Relationships

-  Notes
(0000155)
Nemo (reporter)
2004-08-31 16:35

Actually it does appear to have a scrollbar sometimes, but not when I first tested it. I'll try to do more testing to figure out when it doesn't but should.
(0000158)
patrickweber (reporter)
2004-09-09 01:05

Or another idea is go the windows route and have the scrollbar be there for any multiline text field but have it disabled for when the text does not fill the box.

- Issue History
Date Modified Username Field Change
2004-08-30 16:33 Nemo New Issue
2004-08-31 16:35 Nemo Note Added: 0000155
2004-09-09 01:05 patrickweber Note Added: 0000158
2004-10-06 14:58 robert Project @2@ => SkyOS 5.0 - Beta
2004-10-07 16:31 robert Status new => resolved
2004-10-07 16:31 robert Resolution open => fixed
2004-10-07 16:31 robert Assigned To => robert


Mantis 1.1.4[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker